Bug 632986 - Review Request: python-zope-contenttype - Content-Type Handling Utility Module
Review Request: python-zope-contenttype - Content-Type Handling Utility Module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 633138
  Show dependency treegraph
 
Reported: 2010-09-12 06:56 EDT by Robin Lee
Modified: 2012-06-15 08:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 08:30:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leamas.alec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
The litte patch to register the test suite (439 bytes, patch)
2010-09-12 06:58 EDT, Robin Lee
no flags Details | Diff

  None (edit)
Description Robin Lee 2010-09-12 06:56:41 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-contenttype.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-contenttype-3.5.1-2.fc13.src.rpm
Description:
This package provides a utility module for content-type handling.

rpmlint results:
$ rpmlint ./python-zope-contenttype.spec 
./python-zope-contenttype.spec: W: no-cleaning-of-buildroot %install
./python-zope-contenttype.spec: W: no-cleaning-of-buildroot %clean
./python-zope-contenttype.spec: W: no-buildroot-tag
./python-zope-contenttype.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint ./python-zope-contenttype-3.5.1-2.fc13.src.rpm 
python-zope-contenttype.src: W: no-cleaning-of-buildroot %install
python-zope-contenttype.src: W: no-cleaning-of-buildroot %clean
python-zope-contenttype.src: W: no-buildroot-tag
python-zope-contenttype.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint ./python-zope-contenttype-3.5.1-2.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Robin Lee 2010-09-12 06:58:40 EDT
Created attachment 446738 [details]
The litte patch to register the test suite
Comment 2 Alec Leamas 2012-05-03 08:07:53 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mk/tmp/632986/zope.contenttype-3.5.1.tar.gz :
  MD5SUM this package     : 9d765d26824219ce678722536e7956c4
  MD5SUM upstream package : 9d765d26824219ce678722536e7956c4

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: python-zope-contenttype-3.5.1-run-tests.patch (python-zope-
     contenttype-3.5.1-run-tests.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed. I think you should remove.
[!]  Consider updating to more actual release, current is 3.5.5
[!]  PKG-INFO seems to be the only file stating the overall license.
     Include it in %doc.
[!]  Add the --quiet flag to all setup invocations to make the build output
     cleaner ( like: %{__python} setup.py --quiet  build ).

<mock-chroot># rpmlint python-ropemode
    python-ropemode.noarch: I: enchant-dictionary-not-found en_US
    python-ropemode.noarch: W: no-documentation
    - plain wrong, all files in %doc are in proper locations.
    1 packages and 0 specfiles checked; 0 errors, 1 warnings.

<mock-chroot># rpm -q --provides python-ropemode
    python-ropemode = 0.1-0.2.rc2.fc15

<mock-chroot># rpm -q --requires  python-ropemode | grep -v rpmlib
    python
    python(abi) = 2.7
    python-rope

Generated by fedora-review 0.1.3
External plugins:
Comment 3 Robin Lee 2012-05-27 03:25:09 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-contenttype.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-contenttype-3.5.5-1.fc17.src.rpm

Changes:
- Update to 3.5.5
- Remove defattr
- Remove upstreamed patch
- Add --quiet option to 'python setup.py' commands

(In reply to comment #2)
> Issues:
> [!]: MUST Each %files section contains %defattr if rpm < 4.4
>      Note: defattr(....) present in %files section. This is OK if packaging
>      for EPEL5. Otherwise not needed. I think you should remove.
Done.

> [!]  Consider updating to more actual release, current is 3.5.5
Done.

> [!]  PKG-INFO seems to be the only file stating the overall license.
>      Include it in %doc.
PKG-INFO is already included in egg-info.

> [!]  Add the --quiet flag to all setup invocations to make the build output
>      cleaner ( like: %{__python} setup.py --quiet  build ).
Done.
Comment 4 Alec Leamas 2012-05-28 15:35:17 EDT
Hm, same thing here. The only thing I know is that license info should be in %doc. Either we'll have to investigate this, or you just add it to %doc and I'll approve
Comment 6 Alec Leamas 2012-05-29 03:51:48 EDT
The comment is there, but nothing in %doc?!
Comment 7 Alec Leamas 2012-05-29 04:22:10 EDT
Also: This package has a COPYRIGHT file which definitely should be in %doc.
Comment 8 Robin Lee 2012-05-30 04:51:02 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-contenttype.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-contenttype-3.5.5-2.fc17.src.rpm

Change:
- Include the license text

(In reply to comment #7)
> Also: This package has a COPYRIGHT file which definitely should be in %doc.
Oh, the license text is already in the late upstream release.
Comment 9 Alec Leamas 2012-05-30 13:00:26 EDT
All issues fixed.

*** Approved
Comment 10 Robin Lee 2012-05-31 12:51:14 EDT
Hi, the fedora-review flag is not set to '+'.
Comment 11 Alec Leamas 2012-05-31 14:15:21 EDT
Setting the flag...
Comment 12 Robin Lee 2012-06-03 23:07:07 EDT
New Package SCM Request
=======================
Package Name: python-zope-contenttype
Short Description: Content-Type Handling Utility Module
Owners: cheeselee
Branches: f17
InitialCC:
Comment 13 Jon Ciesla 2012-06-04 08:07:03 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-06-04 21:50:46 EDT
python-zope-contenttype-3.5.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-zope-contenttype-3.5.5-2.fc17
Comment 15 Fedora Update System 2012-06-06 22:47:58 EDT
python-zope-contenttype-3.5.5-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 16 Fedora Update System 2012-06-15 08:30:33 EDT
python-zope-contenttype-3.5.5-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.